Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_FILE_Parser Class Reference

Implements the <file:> IOR format. More...

`#include <FILE_Parser.h>`

Inheritance diagram for TAO_FILE_Parser:

[legend]
Collaboration diagram for TAO_FILE_Parser:

[legend]
List of all members.

## Public Methods
| TAO_FILE_Parser (void)
| Constructor. More...
virtual | ~TAO_FILE_Parser (void)
| The destructor. More...
virtual int | match_prefix (const char *ior_string) const
| Return 1 if <ior_string> starts with a prefix known to this IOR parser. More...
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
| Parse the <ior> argument and return an object reference. More...

## Detailed Description

Implements the <file:> IOR format.

This class implements the <file:> IOR format. It is dynamically loaded by the ORB and used to open a file, read its contents and then interepret the file as an IOR (that can be in any valid format).

## Constructor & Destructor Documentation

ACE_INLINE TAO_FILE_Parser::TAO_FILE_Parser | ( | void |  | ) |

| Constructor.

TAO_FILE_Parser::~TAO_FILE_Parser | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

int TAO_FILE_Parser::match_prefix | ( | const char * | ior_string | ) | const`[virtual]`

| Return 1 if <ior_string> starts with a prefix known to this IOR parser. Reimplemented from TAO_IOR_Parser.

CORBA::Object_ptr TAO_FILE_Parser::parse_string | ( | const char * | ior,
|  | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Parse the <ior> argument and return an object reference. The call may raise the standard system exceptions (NO_MEMORY, INV_OBJREF, etc.) Reimplemented from TAO_IOR_Parser.

The documentation for this class was generated from the following files:

- FILE_Parser.h
- FILE_Parser.cpp
- FILE_Parser.i